## org.undp.weblog
Class WebLogApplication

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.kernel.Resource
                      com.arsdigita.web.Application
                          org.undp.weblog.WebLogApplication

public class WebLogApplication
extends com.arsdigita.web.Application

Author:
  Peter Kopunec

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`

Fields inherited from class com.arsdigita.web.Application
`PRIMARY_URL, versionId`

Fields inherited from class com.arsdigita.kernel.Resource
`CHILD_RESOURCE, DESCRIPTION, PARENT_RESOURCE, RESOURCE_TYPE, TIMESTAMP, TITLE`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE`

Constructor Summary
`WebLogApplication(BigDecimal id)`
`WebLogApplication(com.arsdigita.persistence.DataObject data)`
`WebLogApplication(com.arsdigita.persistence.OID oid)`

Method Summary
`protected void` `afterSave()` Overrides the superclass adding some permissions.
`static WebLogApplication` `create(String urlName, String title, com.arsdigita.web.Application parent)` This method should be used to create a new WebLogApplication object everywhere except in the constructor of a subclass of WebLog.
`protected String` `getBaseDataObjectType()`

Methods inherited from class com.arsdigita.web.Application

`afterDelete, beforeDelete, beforeSave, createApplication, createApplication, createRootApplication, getAncestorApplications, getApplicationType, getCanonicalURL, getChildApplications, getChildApplicationsForType, getContainingApplication, getContextPath, getCurrentApplication, getPackageType, getParentApplication, getPath, getPrimaryURL, getRelevantPrivileges, getServletPath, getSiteNode, getStylesheetPath, isInstalled, retrieveAllApplications, retrieveApplication, retrieveApplication, retrieveApplication, retrieveApplicationForPath, retrieveApplicationForSiteNode, setApplicationType, setParentApplication, setPath`

Methods inherited from class com.arsdigita.kernel.Resource
`createResource, createResource, getChildResources, getContainer, getContainingResource, getDescription, getDisplayName, getParentResource, getResourceType, getTimestamp, getTitle, isContainerModified, retrieveAllResources, retrieveResource, retrieveResource, retrieveResource, setDescription, setParentResource, setResourceType, setTitle`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getDefaultDomainClass, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

Constructor Detail

### WebLogApplication

    public WebLogApplication(com.arsdigita.persistence.DataObject data)

### WebLogApplication

    public WebLogApplication(com.arsdigita.persistence.OID oid)
                      throws com.arsdigita.domain.DataObjectNotFoundException

### WebLogApplication

    public WebLogApplication(BigDecimal id)
                      throws com.arsdigita.domain.DataObjectNotFoundException

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### create

    public static WebLogApplication create(String urlName,
                                           String title,
                                           com.arsdigita.web.Application parent)

  This method should be used to create a new WebLogApplication object everywhere except in the constructor of a subclass of WebLog.

### afterSave

    protected void afterSave()

  Overrides the superclass adding some permissions.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC